%define pypi_name ecdsa

Name:           python-ecdsa
Version:        0.13
Release:        %mkrel 2
Group:          Development/Python
Summary:        ECDSA cryptographic signature library (pure python)

License:        MIT
URL:            http://github.com/warner/python-ecdsa
Source0:        https://pypi.python.org/packages/source/e/ecdsa/ecdsa-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve Digital Signature Algorithm),
implemented purely in Python, released under the MIT license. 
With this library, you can quickly create keypairs (signing key and verifying key), 
sign messages, and verify the signatures. 
The keys and signatures are very short, making them easy to handle and incorporate into other protocols.

%package -n     python3-%{pypi_name}
Summary:        ECDSA cryptographic signature library (pure python)
Group:          Development/Python


%description -n python3-%{pypi_name}
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve Digital Signature Algorithm),
implemented purely in Python, released under the MIT license. 
With this library, you can quickly create keypairs (signing key and verifying key), 
sign messages, and verify the signatures. 
The keys and signatures are very short, making them easy to handle and incorporate into other protocols.

%prep
%setup -q -n %{pypi_name}-%{version}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py2_build
pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
popd
%py2_install

%files
%doc README.md
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.md 
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.13-2.mga6
+ Revision: 971639
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 philippem <philippem> 0.13-1.mga6
+ Revision: 892212
- update to 0.13

* Sat Oct 10 2015 tv <tv> 0.11-6.mga6
+ Revision: 888763
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.11-5.mga5
+ Revision: 745513
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.11-4.mga5
+ Revision: 728380
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.11-3.mga5
+ Revision: 688012
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.11-2.mga5
+ Revision: 628622
- Rebuild for new Python

* Fri Mar 14 2014 philippem <philippem> 0.11-1.mga5
+ Revision: 603843
- Update to 0.11

* Wed Mar 05 2014 philippem <philippem> 0.10-1.mga5
+ Revision: 600141
- update to 0.10

* Tue Oct 22 2013 umeabot <umeabot> 0.9-3.mga4
+ Revision: 543408
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9-2.mga4
+ Revision: 498458
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.9-1.mga4
+ Revision: 491761
- imported package python-ecdsa

